/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */


import { HTMLStencilElement, JSXBase } from '@stencil/core/internal';


export namespace Components {
  interface AppHeader {
    'courseInfo': any;
  }
  interface AppHome {}
  interface AppLanding {}
  interface AppLoginPage {}
  interface AppProfile {
    'name': string;
  }
  interface AppRegister {}
  interface AppRoot {}
  interface AssignmentForm {
    'assignmentInfo': any;
  }
  interface AssignmentInput {}
  interface AssignmentList {
    'assignments': any[];
    'shouldScrollDown': boolean;
  }
  interface AssignmentPopover {
    'assignment': {name:string, possible_points:string, due_date:string, description: string};
    'assignments': any;
    'shouldScrollDown': boolean;
  }
  interface CourseInput {
    'courseInfo': any;
    'syllabus': any;
  }
  interface EntryView {
    'entry': any;
    'number': number;
  }
  interface FlagButton {
    'syllabus': any;
  }
  interface SyllabusCardReview {
    'syllabusId': any;
  }
  interface SyllabusCards {
    'adminCardInfo': any[];
  }
  interface SyllabusEntryPage {}
  interface SyllabusView {
    'pdfData': string;
  }
}

declare global {


  interface HTMLAppHeaderElement extends Components.AppHeader, HTMLStencilElement {}
  var HTMLAppHeaderElement: {
    prototype: HTMLAppHeaderElement;
    new (): HTMLAppHeaderElement;
  };

  interface HTMLAppHomeElement extends Components.AppHome, HTMLStencilElement {}
  var HTMLAppHomeElement: {
    prototype: HTMLAppHomeElement;
    new (): HTMLAppHomeElement;
  };

  interface HTMLAppLandingElement extends Components.AppLanding, HTMLStencilElement {}
  var HTMLAppLandingElement: {
    prototype: HTMLAppLandingElement;
    new (): HTMLAppLandingElement;
  };

  interface HTMLAppLoginPageElement extends Components.AppLoginPage, HTMLStencilElement {}
  var HTMLAppLoginPageElement: {
    prototype: HTMLAppLoginPageElement;
    new (): HTMLAppLoginPageElement;
  };

  interface HTMLAppProfileElement extends Components.AppProfile, HTMLStencilElement {}
  var HTMLAppProfileElement: {
    prototype: HTMLAppProfileElement;
    new (): HTMLAppProfileElement;
  };

  interface HTMLAppRegisterElement extends Components.AppRegister, HTMLStencilElement {}
  var HTMLAppRegisterElement: {
    prototype: HTMLAppRegisterElement;
    new (): HTMLAppRegisterElement;
  };

  interface HTMLAppRootElement extends Components.AppRoot, HTMLStencilElement {}
  var HTMLAppRootElement: {
    prototype: HTMLAppRootElement;
    new (): HTMLAppRootElement;
  };

  interface HTMLAssignmentFormElement extends Components.AssignmentForm, HTMLStencilElement {}
  var HTMLAssignmentFormElement: {
    prototype: HTMLAssignmentFormElement;
    new (): HTMLAssignmentFormElement;
  };

  interface HTMLAssignmentInputElement extends Components.AssignmentInput, HTMLStencilElement {}
  var HTMLAssignmentInputElement: {
    prototype: HTMLAssignmentInputElement;
    new (): HTMLAssignmentInputElement;
  };

  interface HTMLAssignmentListElement extends Components.AssignmentList, HTMLStencilElement {}
  var HTMLAssignmentListElement: {
    prototype: HTMLAssignmentListElement;
    new (): HTMLAssignmentListElement;
  };

  interface HTMLAssignmentPopoverElement extends Components.AssignmentPopover, HTMLStencilElement {}
  var HTMLAssignmentPopoverElement: {
    prototype: HTMLAssignmentPopoverElement;
    new (): HTMLAssignmentPopoverElement;
  };

  interface HTMLCourseInputElement extends Components.CourseInput, HTMLStencilElement {}
  var HTMLCourseInputElement: {
    prototype: HTMLCourseInputElement;
    new (): HTMLCourseInputElement;
  };

  interface HTMLEntryViewElement extends Components.EntryView, HTMLStencilElement {}
  var HTMLEntryViewElement: {
    prototype: HTMLEntryViewElement;
    new (): HTMLEntryViewElement;
  };

  interface HTMLFlagButtonElement extends Components.FlagButton, HTMLStencilElement {}
  var HTMLFlagButtonElement: {
    prototype: HTMLFlagButtonElement;
    new (): HTMLFlagButtonElement;
  };

  interface HTMLSyllabusCardReviewElement extends Components.SyllabusCardReview, HTMLStencilElement {}
  var HTMLSyllabusCardReviewElement: {
    prototype: HTMLSyllabusCardReviewElement;
    new (): HTMLSyllabusCardReviewElement;
  };

  interface HTMLSyllabusCardsElement extends Components.SyllabusCards, HTMLStencilElement {}
  var HTMLSyllabusCardsElement: {
    prototype: HTMLSyllabusCardsElement;
    new (): HTMLSyllabusCardsElement;
  };

  interface HTMLSyllabusEntryPageElement extends Components.SyllabusEntryPage, HTMLStencilElement {}
  var HTMLSyllabusEntryPageElement: {
    prototype: HTMLSyllabusEntryPageElement;
    new (): HTMLSyllabusEntryPageElement;
  };

  interface HTMLSyllabusViewElement extends Components.SyllabusView, HTMLStencilElement {}
  var HTMLSyllabusViewElement: {
    prototype: HTMLSyllabusViewElement;
    new (): HTMLSyllabusViewElement;
  };
  interface HTMLElementTagNameMap {
    'app-header': HTMLAppHeaderElement;
    'app-home': HTMLAppHomeElement;
    'app-landing': HTMLAppLandingElement;
    'app-login-page': HTMLAppLoginPageElement;
    'app-profile': HTMLAppProfileElement;
    'app-register': HTMLAppRegisterElement;
    'app-root': HTMLAppRootElement;
    'assignment-form': HTMLAssignmentFormElement;
    'assignment-input': HTMLAssignmentInputElement;
    'assignment-list': HTMLAssignmentListElement;
    'assignment-popover': HTMLAssignmentPopoverElement;
    'course-input': HTMLCourseInputElement;
    'entry-view': HTMLEntryViewElement;
    'flag-button': HTMLFlagButtonElement;
    'syllabus-card-review': HTMLSyllabusCardReviewElement;
    'syllabus-cards': HTMLSyllabusCardsElement;
    'syllabus-entry-page': HTMLSyllabusEntryPageElement;
    'syllabus-view': HTMLSyllabusViewElement;
  }
}

declare namespace LocalJSX {
  interface AppHeader extends JSXBase.HTMLAttributes<HTMLAppHeaderElement> {
    'courseInfo'?: any;
    'onCourseHeaderClicked'?: (event: CustomEvent<any>) => void;
  }
  interface AppHome extends JSXBase.HTMLAttributes<HTMLAppHomeElement> {}
  interface AppLanding extends JSXBase.HTMLAttributes<HTMLAppLandingElement> {}
  interface AppLoginPage extends JSXBase.HTMLAttributes<HTMLAppLoginPageElement> {}
  interface AppProfile extends JSXBase.HTMLAttributes<HTMLAppProfileElement> {
    'name'?: string;
  }
  interface AppRegister extends JSXBase.HTMLAttributes<HTMLAppRegisterElement> {}
  interface AppRoot extends JSXBase.HTMLAttributes<HTMLAppRootElement> {}
  interface AssignmentForm extends JSXBase.HTMLAttributes<HTMLAssignmentFormElement> {
    'assignmentInfo'?: any;
    'onAssignmentAdded'?: (event: CustomEvent<any>) => void;
    'onAssignmentEdited'?: (event: CustomEvent<any>) => void;
  }
  interface AssignmentInput extends JSXBase.HTMLAttributes<HTMLAssignmentInputElement> {
    'onAssignmentAdded'?: (event: CustomEvent<any>) => void;
  }
  interface AssignmentList extends JSXBase.HTMLAttributes<HTMLAssignmentListElement> {
    'assignments'?: any[];
    'shouldScrollDown'?: boolean;
  }
  interface AssignmentPopover extends JSXBase.HTMLAttributes<HTMLAssignmentPopoverElement> {
    'assignment'?: {name:string, possible_points:string, due_date:string, description: string};
    'assignments'?: any;
    'onUpdateAssignment'?: (event: CustomEvent<any>) => void;
    'shouldScrollDown'?: boolean;
  }
  interface CourseInput extends JSXBase.HTMLAttributes<HTMLCourseInputElement> {
    'courseInfo'?: any;
    'onCourseAdded'?: (event: CustomEvent<any>) => void;
    'syllabus'?: any;
  }
  interface EntryView extends JSXBase.HTMLAttributes<HTMLEntryViewElement> {
    'entry'?: any;
    'number'?: number;
  }
  interface FlagButton extends JSXBase.HTMLAttributes<HTMLFlagButtonElement> {
    'onFlagged'?: (event: CustomEvent<any>) => void;
    'syllabus'?: any;
  }
  interface SyllabusCardReview extends JSXBase.HTMLAttributes<HTMLSyllabusCardReviewElement> {
    'syllabusId'?: any;
  }
  interface SyllabusCards extends JSXBase.HTMLAttributes<HTMLSyllabusCardsElement> {
    'adminCardInfo'?: any[];
  }
  interface SyllabusEntryPage extends JSXBase.HTMLAttributes<HTMLSyllabusEntryPageElement> {
    'onDoneButtonClicked'?: (event: CustomEvent<any>) => void;
  }
  interface SyllabusView extends JSXBase.HTMLAttributes<HTMLSyllabusViewElement> {
    'pdfData'?: string;
  }

  interface IntrinsicElements {
    'app-header': AppHeader;
    'app-home': AppHome;
    'app-landing': AppLanding;
    'app-login-page': AppLoginPage;
    'app-profile': AppProfile;
    'app-register': AppRegister;
    'app-root': AppRoot;
    'assignment-form': AssignmentForm;
    'assignment-input': AssignmentInput;
    'assignment-list': AssignmentList;
    'assignment-popover': AssignmentPopover;
    'course-input': CourseInput;
    'entry-view': EntryView;
    'flag-button': FlagButton;
    'syllabus-card-review': SyllabusCardReview;
    'syllabus-cards': SyllabusCards;
    'syllabus-entry-page': SyllabusEntryPage;
    'syllabus-view': SyllabusView;
  }
}

export { LocalJSX as JSX };


declare module "@stencil/core" {
  export namespace JSX {
    interface IntrinsicElements extends LocalJSX.IntrinsicElements {}
  }
}


